---------------------
PatchSet 2073 
Date: 2001/04/24 06:37:20
Author: rbcollins
Branch: generic_modules
Tag: (none) 
Log:
start looking up types

Members: 
	src/acl.c:1.21.4.6->1.21.4.7 

Index: squid/src/acl.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/acl.c,v
retrieving revision 1.21.4.6
retrieving revision 1.21.4.7
diff -u -r1.21.4.6 -r1.21.4.7
--- squid/src/acl.c	23 Apr 2001 22:28:33 -0000	1.21.4.6
+++ squid/src/acl.c	24 Apr 2001 06:37:20 -0000	1.21.4.7
@@ -1,6 +1,6 @@
 
 /*
- * $Id: acl.c,v 1.21.4.6 2001/04/23 22:28:33 rbcollins Exp $
+ * $Id: acl.c,v 1.21.4.7 2001/04/24 06:37:20 rbcollins Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -732,6 +732,7 @@
 //    LOCAL_ARRAY(char, aclname, ACL_NAME_SZ);
     squid_acl acltype;
     int new_acl = 0;
+    parserTypeNode * parserType;
 
 #if NEVER
     /* snarf the ACL name */
@@ -750,12 +751,19 @@
 	debug(28, 0) ("aclParseAclLine: missing ACL type.\n");
 	return;
     }
+
     if ((acltype = aclStrToType(token)) == ACL_NONE) {
 	debug(28, 0) ("%s line %d: %s\n",
 	    cfg_filename, config_lineno, config_input_line);
 	debug(28, 0) ("aclParseAclLine: Invalid ACL type '%s'\n", token);
 	return;
     }
+
+debug (28,0) ("acl name string %s\n",token);
+parserType=parserTypeByName(token);
+if (parserType)
+debug (28,0) ("found parserType %s\n",parserType->typestr);
+
 #if NEVER
     if ((A = aclFindByName(aclname)) == NULL) {
 	debug(28, 3) ("aclParseAclLine: Creating ACL '%s'\n", aclname);
